Skip to main content
`Ctrl`+`K`

# TaoTermShellSetContext

Set a context for a `TAOTERMSHELL`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermShellSetContext(TaoTerm term, PetscCtx ctx)

Logically collective

## Input Parameters

- term - a `TaoTerm` of type `TAOTERMSHELL`

- ctx - a context

## Note

The context can be accessed in callbacks using `TaoTermShellGetContext()`

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERMSHELL`, `TaoTermShellGetContext()`, `TaoTermShellSetContextDestroy()`

## Level

intermediate

## Location

src/tao/term/impls/shell/taotermshell.c

## Implementations

TaoTermShellSetContext_Shell() in src/tao/term/impls/shell/taotermshell.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages